> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 最新の Devin Review のステータスを取得する

> 組織にスコープされたPRの最新のDevin Reviewを返します。

``commit_sha`` を省略した場合、PRの現在のhead commitが
providerから取得され、使用されます。解決されたcommitに対する
レビューが存在しない場合は ``404`` を返します。

<div id="permissions">
  ## 権限
</div>

指定した組織で `UseReviewManual` 権限を持つサービスユーザーが必要です。


## OpenAPI

````yaml ja/v3-openapi.yaml GET /v3/organizations/{org_id}/pr-reviews
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/organizations/{org_id}/pr-reviews:
    get:
      tags:
        - pr-reviews
      summary: 最新の Devin Review のステータスを取得する
      description: |-
        組織にスコープされたPRの最新のDevin Reviewを返します。

        ``commit_sha`` を省略した場合、PRの現在のhead commitが
        providerから取得され、使用されます。解決されたcommitに対する
        レビューが存在しない場合は ``404`` を返します。
      operationId: handle_get_pr_review_status_v3_organizations__org_id__pr_reviews_get
      parameters:
        - description: '組織ID（プレフィックス: org-）'
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
        - description: >-
            参照するプルリクエスト/マージリクエストの完全なURL（例:
            `https://github.com/owner/repo/pull/123`）。
          in: query
          name: pr_url
          required: true
          schema:
            description: >-
              参照するプルリクエスト/マージリクエストの完全なURL（例:
              `https://github.com/owner/repo/pull/123`）。
            examples:
              - https://github.com/owner/repo/pull/123
            title: Pr Url
            type: string
        - description: >-
            参照するコミットSHA（完全なSHA、またはその短いプレフィックス）。省略した場合は、デフォルトでPRの現在のheadコミットが使用されます。
          in: query
          name: commit_sha
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              参照するコミットSHA（完全なSHA、またはその短いプレフィックス）。省略した場合は、デフォルトでPRの現在のheadコミットが使用されます。
            examples:
              - abc123def4567890abc123def4567890abc123de
            title: Commit Sha
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrReviewResponse'
          description: 成功レスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: バリデーションエラー
components:
  schemas:
    PrReviewResponse:
      properties:
        commit_sha:
          description: レビュー対象となる PR の HEAD コミットの SHA。
          title: Commit Sha
          type: string
        created_at:
          description: レビューが承認された日時。
          format: date-time
          title: Created At
          type: string
        pr_number:
          description: Pull/merge request 番号。
          title: Pr Number
          type: integer
        repo_path:
          description: '正規化された、ホスト接頭辞付きのリポジトリパス（例: `github.com/owner/repo`）。'
          title: Repo Path
          type: string
        status:
          description: 現在のレビュー状態。新たに承認されたレビューは `pending` で開始されます。
          enum:
            - pending
            - running
            - completed
            - errored
            - cancelled
          title: Status
          type: string
      required:
        - status
        - repo_path
        - pr_number
        - commit_sha
        - created_at
      title: PrReviewResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````